Bug 103145 - aspell defaults to non-existent ja_JP dict in ja locale
Summary: aspell defaults to non-existent ja_JP dict in ja locale
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: aspell   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-27 02:22 UTC by Jens Petersen
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 14:29:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2003-08-27 02:22:57 UTC
Description of problem:
When one runs aspell in a CJK locale, it defaults to a dictionary
for that locale, but no aspell dictionaries exist for CJK.

Version-Release number of selected component (if applicable):
aspell-0.50.3-15

How reproducible:
Every time

Steps to Reproduce:
1. LANG=ja_JP aspell -l
    
Actual results:
Error: No word lists can be found for the language "ja_JP".

Expected results:
Defaulting to English when no native dictionary available.

Additional info:
I think this changed from aspell-0.33.

Comment 1 Eido Inoue 2003-08-27 19:39:28 UTC
aspell-0.3 and 0.50 are completely different, almost total rewrites. There are
some "compatibility interfaces", however.

The searching for the ja_JP dictionary when in a JP locale is by-design. I can
think of cases where you would not want aspell to fallback to a certain language
is a dictionary exists.

For example, a user running in a locale for a particular dialect of English
would not want aspell to quietly fall back to U.S. English if his preferred
dictionary was not available for one reason or another.


Comment 2 Jens Petersen 2003-09-02 07:46:34 UTC
How about falling back for CJK then?

I don't know of any aspell dictionaries for CJK currently.

Comment 3 Jens Petersen 2003-12-16 08:03:39 UTC
Does aspell support languages without spaces between words
like Japanese?  Perhaps not?

If it did, I wonder if it would be possible to make a spelling
dictionary for Japanese?

Comment 4 Eido Inoue 2003-12-16 15:26:24 UTC
No, it doesn't.

Comment 5 Jens Petersen 2003-12-17 03:29:41 UTC
So, then that takes me back to my suggestion:

> How about falling back [to English] for CJK [locale] then?

Comment 6 Jens Petersen 2004-04-01 11:15:08 UTC
In the next emacs and xemacs builds I'm defaulting the ispell
dictionary to english for CJK locale.

Comment 7 Eido Inoue 2004-04-28 14:29:11 UTC
Defering to FC3, which will include the UTF-8 capable aspell.


Note You need to log in before you can comment on or make changes to this bug.